Update a business partner

Updates a business partner's attributes, its nested partner, and/or its bank accounts.

Requires the erp_business_partners_manage permission (or company admin).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body used to update a business partner. All fields are optional.

string
string
integer
integer
boolean
boolean
partner
object
business_partner_bank_accounts
array of objects
business_partner_bank_accounts
Headers
uuid
required

UUID of the company on whose behalf the request is made. Required for every Pay endpoint.
See The company-id header for details on how to obtain
a value for this header and the error responses to expect when it is missing or invalid.

If the deprecated company_id query parameter is also sent, both values must match;
the API returns 422 Unprocessable Entity when they disagree.

Responses

401

Unauthorized

404

Business partner not found

422

Unprocessable Entity

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json